<h2>Список пользователей: </h2>
<table mat-table [dataSource]="users" class="mat-elevation-z8" *ngIf="users">


    <!-- Position Column -->
    <ng-container matColumnDef="firstName">
        <th mat-header-cell *matHeaderCellDef> Имя </th>
        <td mat-cell *matCellDef="let element"> {{element.contact?.firstName}} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="lastName">
        <th mat-header-cell *matHeaderCellDef> Фамилия </th>
        <td mat-cell *matCellDef="let element"> {{element.contact?.lastName}} </td>
    </ng-container>

    <!-- Weight Column -->
    <ng-container matColumnDef="middleName">
        <th mat-header-cell *matHeaderCellDef> Отчество </th>
        <td mat-cell *matCellDef="let element"> {{element.contact?.middleName}} </td>
    </ng-container>

    <!-- Symbol Column -->
    <ng-container matColumnDef="phone">
        <th mat-header-cell *matHeaderCellDef> Телефон </th>
        <td mat-cell *matCellDef="let element"> {{element.contact?.phone}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="goToUser(row)"></tr>
</table>
